WelcomeMessageDisplayMode (Gradle API 9.6.1)
Description: declaration: package: org.gradle.api.launcher.cli, enum: WelcomeMessageDisplayMode

Package org.gradle.api.launcher.cli

# Enum WelcomeMessageDisplayMode

java.lang.Object
java.lang.Enum<WelcomeMessageDisplayMode>
org.gradle.api.launcher.cli.WelcomeMessageDisplayMode

All Implemented Interfaces:
  `Serializable`, `Comparable<WelcomeMessageDisplayMode>`, `Constable`

@Incubating public enum WelcomeMessageDisplayMode extends Enum<WelcomeMessageDisplayMode>
The possible strategies for displaying a welcome message on the command line.

Since:
  7.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEVER`
  `ONCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WelcomeMessageDisplayMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WelcomeMessageDisplayMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ONCE

    public static final WelcomeMessageDisplayMode ONCE

  - ### NEVER

    public static final WelcomeMessageDisplayMode NEVER

- ## Method Details

  - ### values

    public static WelcomeMessageDisplayMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WelcomeMessageDisplayMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null